
Foreman - Bug #14090

unable to list ovirt vms (under compute resource vms tab)

03/08/2016 03:49 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

2016-03-08T08:45:18 [app] [W] Error has occurred while listing VMs on ovirt (oVirt)

 | NoMethodError: undefined method `text' for nil:NilClass

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/ovirt/vm.rb:240:in `parse_xml_attributes!'

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/ovirt/vm.rb:13:in `initialize'

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/client/vm_api.rb:13:in `new'

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/client/vm_api.rb:13:in `block in vms'

 | /home/foreman/gems/gems/nokogiri-1.6.7.2/lib/nokogiri/xml/node_set.rb:187:in `block in each'

 | /home/foreman/gems/gems/nokogiri-1.6.7.2/lib/nokogiri/xml/node_set.rb:186:in `upto'

 | /home/foreman/gems/gems/nokogiri-1.6.7.2/lib/nokogiri/xml/node_set.rb:186:in `each'

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/client/vm_api.rb:12:in `collect'

 | /home/foreman/gems/gems/rbovirt-0.0.35/lib/client/vm_api.rb:12:in `vms'

 | /home/foreman/gems/gems/fog-1.37.0/lib/fog/ovirt/requests/compute/list_virtual_machines.rb:6:in

 `list_virtual_machines'

 | /home/foreman/gems/gems/fog-1.37.0/lib/fog/ovirt/models/compute/servers.rb:11:in `all'

 | /home/foreman/git/foreman/app/controllers/compute_resources_vms_controller.rb:4:in `index'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/implicit_render.rb:4:in

 `send_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/abstract_controller/base.rb:189:in `process_act

ion'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/rendering.rb:10:in `pro

cess_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/abstract_controller/callbacks.rb:20:in `block i

n process_action'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:113:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:113:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:552:in `block (2

 levels) in compile'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:495:in `block (2

 levels) in around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `block (2

 levels) in halting'

 | /home/foreman/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/swe

eping.rb:73:in `around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:452:in `public_s

end'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:452:in `block in

 make_lambda'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `block in

 halting'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `block in

 around'
 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:495:in `block (2

 levels) in around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `block (2

 levels) in halting'

 | /home/foreman/git/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:429:in `block in

 make_lambda'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `block in

 halting'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `block in

 around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:495:in `block (2

 levels) in around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `block (2

 levels) in halting'

 | /home/foreman/git/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:429:in `block in

 make_lambda'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `block in

 halting'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `block in

 around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:495:in `block (2

 levels) in around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `block (2

 levels) in halting'

 | /home/foreman/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/swe

eping.rb:73:in `around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:452:in `public_s

end'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:452:in `block in

 make_lambda'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:305:in `block in

 halting'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:494:in `block in

 around'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:502:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:86:in `run_callb

acks'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/abstract_controller/callbacks.rb:19:in `process

_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/rescue.rb:29:in `proces

s_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/instrumentation.rb:32:i

n `block in process_action'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/notifications.rb:159:in `bloc

k in instrument'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/notifications/instrumenter.rb

:20:in `instrument'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/notifications.rb:159:in `inst

rument'
 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/instrumentation.rb:30:i

n `process_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/params_wrapper.rb:250:i

n `process_action'

 | /home/foreman/gems/gems/activerecord-4.1.14.2/lib/active_record/railties/controller_runtime.rb:

18:in `process_action'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/abstract_controller/base.rb:136:in `process'

 | /home/foreman/gems/gems/actionview-4.1.14.2/lib/action_view/rendering.rb:30:in `process'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal.rb:196:in `dispatch'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal/rack_delegation.rb:13:i

n `dispatch'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_controller/metal.rb:232:in `block in act

ion'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route_set.rb:80:in `cal

l'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route_set.rb:80:in `dis

patch'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route_set.rb:48:in `cal

l'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/router.rb:73:in `block 

in call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/router.rb:59:in `each'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/journey/router.rb:59:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/routing/route_set.rb:690:in `ca

ll'

 | /home/foreman/gems/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb:65:in `call'

 | /home/foreman/gems/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.rb:132:in `call'

 | /home/foreman/gems/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `

call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/etag.rb:23:in `call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/conditionalget.rb:25:in `call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/params_parser.rb:27:

in `call'

 | /home/foreman/git/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/flash.rb:254:in `cal

l'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:225:in `context'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:220:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/cookies.rb:562:in `c

all'

 | /home/foreman/gems/gems/activerecord-4.1.14.2/lib/active_record/query_cache.rb:36:in `call'

 | /home/foreman/gems/gems/activerecord-4.1.14.2/lib/active_record/connection_adapters/abstract/co

nnection_pool.rb:621:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/callbacks.rb:29:in `

block in call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:82:in `run_callb

acks'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/callbacks.rb:27:in `

call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/remote_ip.rb:76:in `

call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/debug_exceptions.rb:

17:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/show_exceptions.rb:3

0:in `call'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/rack/logger.rb:38:in `call_app'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/rack/logger.rb:22:in `call'

 | /home/foreman/gems/gems/quiet_assets-1.1.0/lib/quiet_assets.rb:27:in `call_with_quiet_assets'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/request_id.rb:21:in 

`call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/methodoverride.rb:21:in `call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/runtime.rb:17:in `call'

 | /home/foreman/gems/gems/activesupport-4.1.14.2/lib/active_support/cache/strategy/local_cache_mi

ddleware.rb:26:in `call'

 | /home/foreman/gems/gems/actionpack-4.1.14.2/lib/action_dispatch/middleware/static.rb:84:in `cal

l'
 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/sendfile.rb:112:in `call'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/engine.rb:514:in `call'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/application.rb:144:in `call'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/railtie.rb:194:in `public_send'

 | /home/foreman/gems/gems/railties-4.1.14.2/lib/rails/railtie.rb:194:in `method_missing'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in call'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'

 | /home/foreman/gems/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/rack/thread_handler_extension.rb:89:in `p

rocess_request'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:149:in 

`accept_and_process_next_request'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:110:in 

`main_loop'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler.rb:414:in `block (3 level

s) in start_threads'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/utils.rb:111:in `block in create_thread_a

nd_abort_on_exception'

 | /home/foreman/gems/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `call'

 | /home/foreman/gems/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `block in create

_with_logging_context'

2016-03-08T08:45:18 [app] [I]   Rendered compute_resources_vms/_error.html.erb (1.0ms)

Related issues:

Related to Foreman - Bug #11079: ovirt 3.5 compute profile edit error: undefi... Closed 07/09/2015

History

#1 - 03/08/2016 07:14 AM - Marek Hulán

- Related to Bug #11079: ovirt 3.5 compute profile edit error: undefined method `text' for nil:NilClass added

#2 - 03/08/2016 07:47 AM - Lukas Zapletal

Fixed by https://github.com/abenari/rbovirt/pull/97#issuecomment-193767097

We need to backport this to 0.0.3x series and do a package update.

#3 - 04/19/2016 08:51 AM - Tomer Brisker

- Status changed from New to Resolved

rbovirt version has been updated as part of the fix for #13091 , marking this as resolved.

Please reopen if this still occurs with more information on steps to reproduce.
